import 'package:flutter/material.dart';

class LoadingWrapper extends StatelessWidget {
  final Widget child;
  final bool isLoading;
  final Color indicatorColor;

  const LoadingWrapper({Key key, this.isLoading, this.child, this.indicatorColor}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: <Widget>[
        child,
        Positioned(
          top: 0,
          child: SizedBox(
            width: MediaQuery.of(context).size.width,
            height: 3,
            child: isLoading
                ? LinearProgressIndicator(
                    backgroundColor: Colors.transparent,
                    valueColor: AlwaysStoppedAnimation(indicatorColor),
                  )
                : null,
          ),
        )
      ],
    );
  }
}
